//! `EndPoint` type.

use crate::durandal::err::*;
use super::pnts::*;

/// Reads an `EPNT` chunk.
pub fn read(b: &[u8]) -> ResultS<(Point, usize)>
{
   read_data! {
      endian: BIG, buf: b, size: 16, start: 0, data {
         let pnt = read_point[6; 4];
      }
   }

   Ok((pnt, 16))
}

// EOF
